JkDefragGUI 1.17 - May 24th 2011

- Added Belarusan translation
- Small GUI changes

JkDefragGUI 1.16 - October 31st 2010

- Added Norwegian translation
- Added MUI Support
- Fixed email problem with Windows Live Mail

JkDefragGUI 1.15 - May 13th 2010

- Fixed redownload issue when run from U3

JkDefragGUI 1.14 - May 8th 2010

- Fixed Update error caused by CCleaner version check

JkDefragGUI 1.13 - February 26th 2010

- Updated CCleaner download location
- Fixed error caused by update on start check

JkDefragGUI 1.12 - Februari 20th 2010

- Fixed update not working
- Updated Italian language

JkDefragGUI 1.11 - January 24th 2010

- Added Windows 7 Uninstaller information "EstimatedSize"
- Fixed unneccesary GDIPlus warning on Windows 2000
- Reduced size
- Updated Italian language

JkDefragGUI 1.10 - November 16th 2009

- Disabled restarting when active language is selected again
- Fixed JkDefragGUI closing before sound has finished
- Fixed Startup error in BartPe
- Fixed settings not saved on exit when option selected and Cross in right corner is used
- Improved Icon for Windows Vista and Windows 7
- Improved uninstaller
- Removed quicklaunch shortcut installation for Windows 7
- Updated Korean language
- Updated Hellenic/Greek language

JkDefragGUI 1.09 - September 13th 2009

- Added NTRegOpt Windows 7 Check to prevent NTRegOpt Error BCD00000000
- Added JkDefragGUI restarted when languages files are updated
- Fixed Program Installer update button not updating Software listing
- Updated several languages
- Removed Timeout.exe not needed anymore

JkDefragGUI 1.08 - July 31st 2009

- Fixed path error in BartPE Nu2Menu XML file

JkDefragGUI 1.07 - July 30th 2009

- Fixed transparency slider

JkDefragGUI 1.06 - July 23rd 2009

- Added /silent parameter for silent installation
- Added /bartpe parameter to create a BartPE plugin
- Changed internal installer to install JkDefragGUI into the correct program files folder on X64 OS
- Changed /c parameter to allow spaces, new format /c:"config.file"
- Fixed bug tray item state not set correct when washfunction has run
- Fixed bug in language update when reset parameter is used
- Fixed bug PageDefrag re-downloaded when reset parameter is used
- Fixed bug English language always selected when reset parameter is used
- Fixed bug GUI restored to correct position when multiple screens with same name are opened
- Improved uninstaller to delete only files installed by JkDefragGUI
- Replaced finished.mp3 with finished.wav to improve compatibility
- Removed the pushable listview buttons on the Wash tab
- Removed update check on start when language is changed
- Updated download URL

JkDefragGUI 1.05 - April 13th 2009

- Added missing GNU Lesser General Public License file (7za)
- Fixed small bug in language update when JkdefragGUI is updated from previous version
- Fixed small bug in CCleaner update function when no internet connection is available
- Updated Romanian translation
- Updated Chinese translations

JkDefragGUI 1.04 - March 29th 2009

- Added Korean translation
- Added option to disable showing washprogress in the system tray
- Added support for Google Chrome to Cleaner when CCleaner is used
- Added support for IE8 Temporarily Internet Files removal
- Added question about folder creation on first startup 
- Added CCleaner update function (Only when CCleaner is available)
- Added language update function (all language will be overwritten by new files except user.lng)
- Disabled option "Logfile in same folder as GUI" for BartPe mode
- Fixed INI file overwritten in local installation when updating through installer
- Fixed typo in taskscheduler command (none critical)
- Fixed logfile created with name ??=??? when logfile save is cancelled
- Fixed logfile error in taskscheduler when using large commands in the move end section
- Fixed typos in several languages
- Fixed temp error (Caused by missing registry value)
- Fixed background image not displayed 100% when GUI is minimized and maximized again
- Fixed NTRegOPT English language file not copied with installer
- Improved large fonts display of the GUI
- Improved GUI performance
- Reduced GUI flickering


JkDefragGUI 1.03 - October 15th 2008

- Added JkDefrag.exe and other files to the archive, request of Jeroen Kessels
- Added question to download JkDefrag when it isn't found in the program folder otherwise quit.
- Added check to see if CCleaner is installed on local computer and update JkDefragGUI with this version
- Added Ukrainian translation
- Added Turkish translation
- Added multiple logfiles support
- Added -s to commandline this will autoselect "shutdown after defrag" in the GUI
- Added -r to commandline this will automaticly run JkDefrag with saved options
- Added -rs to commandline this will automaticly run JkDefrag with saved options and shutdown afterwards
- Added read settings from scheduled job (only new onces)
- Changed JkDefragGUI Icon and TimeOut Icon
- Changed location of logfile when saved in the same folder as the GUI for U3 Devices to U3 documents folder
- Embedded background image into the executable
- Fixed bug Installer not working 100% when JkDefragGUI.exe is renamed
- Improved internal cleaner reading settings from all existing profiles
- Improved support CCleaner, internal cleaner can control CCleaner settings
- Improved deleting folders internet explorer cache current users, will not leave empty folders anymore
- Logfiles can be deleted from within the GUI
- JkDefragGUI not packed with UPX anymore to reduce the amount of false positives by virusscanning software
- Rounded space on wash tab
 -Updated Uninstaller, a registry value was left behind

JkDefragGUI 1.02 - May 8th 2008

- Added automatic detection of indonesian language at first start of JkDefragGUI
- Added disk washing, replace erased information with garbage
- Added color help to tray menu
- Fixed bug CCleaner only executed when internal cleaner is selected before CCleaner
- Fixed bug LogFileAfterDefrag setting not set in the GUI after restart
- Fixed colors green switched in JkDefrag color help
- Fixed bug Serbian language not selected in language menu
- Improved BartPE Support
- Improved and reduced code
- Made GUI Smaller when in BartPE Mode
- Removed external help files from GUI to reduce size of GUI executable
- Replaced external program wait.exe with selfmade one
- Some typo corrections in multiple language files

JkDefragGUI 1.01 - January 31st 2008

- Added automatic update of the scheduled job with newest jkdefrag when downloaded
- Added automatic update of the installed version with newest jkdefrag when downloaded
- Added croatian translation
- Added indonesian translation
- Added option to add a delay when doing a schedule at logon
- Added option to show logfile after defragmentation (GUI only)
- Added empty prefetch folder to internal cleaner
- Added pagedefrag to the U3 version of JkDefragGUI
- Added JkDefrag history to menu
- Fixed helpfile not displayed on network drive
- Fixed bug JkDefrag version not updated when updated through automatic update at startup
- Fixed bug "Show System" selected on startup when disabled
- Fixed bug spacehogs disabled when selected and enabled when not selected
- Fixed bug scheduled job logfile not saved when using folder with spaces
- Fixed bug calendar not displayed correctly on Vista OS
- Improved U3 version no need re-download JkDefrag on every usage
- Removed screensaver copied to system32 during update when not installed
- Removed some external links in help menu from BartPE Mode

JkDefragGUI 1.00 - December 1st 2007

- Added DisableDefaults spacehogs to hidden mode
- Added Hebrew translation
- Added Valencian translation
- Added play sound when finished option
- Added english helpfile
- Added dutch helpfile
- Added spanish helpfile
- Added valencian helpfile
- Added JkDefrag version info to statusbar of GUI
- Added save settings on exit option
- Added windows cleaning (Temp/Cookies/History/Recent/RecycleBin)
- Added registry optimizer from Lars Hederer
- Added commandline /hs, runs JkDefrag hidden and shutdown after defrag
- Added commandline /reset, will reset JkDefragGUI to it's defaults and restore the language files
- Added support for CCleaner /Auto (Place program in program folder)
- Changed downloading PageDefrag, downloaded when JkDefragGUI is started for the firsttime
- Changed combobox screensaver, made readonly
- Created a new icon for JkDefragGUI
- Fixed bug automatic download and update of JkDefrag not working 100%
- Fixed bug no logfile created with taskscheduler when path with space is used
- Fixed bug debuglevel not displayed correctly in GUI
- Fixed bug monthly schedule not saved correctly
- Fixed bug password is cleared in password field from scheduler tab scheduled job not working
- Fixed bug with "All disk" selection not released when run second time without restart
- Fixed bug email link not working on X64
- Fixed bug downloading JkDefrag.exe update
- Fixed bug wrong icon in controlpanel software
- Improved Pagedefrag options
- Improved downloading JkDefrag.exe when starting the GUI for the first time
- Improved program which checks for the existance of an U3 Device
- Improved installer function to auto install pagedefrag and jkdefrag
- Improved X64 support
- Removed "Shutdown after defrag" option from BartPe mode
- Removed automaticly check for update function from BartPE mode

JkDefragGUI 0.94 - 16 september 2007

- Fixed bug not working on Windows Vista when User Account Control (UAC) is active

JkDefragGUI 0.93 - 14 september 2007

- Corrected small typo in spacehog explaination in all language files
- Fixed bug logfilepath not restored to tempfolder when settings are reset to default
- Fixed bug language files are allways overwritten
- Dutch language corrections made by Alfred Spijker

JkDefragGUI 0.92 - 10 september 2007

- Added czech translation
- Added slovak translation
- Added serbian translation
- Added language version check to overwrite old languages if found
- Added drivespace check when using the installer
- Added deleting pagedefrag.zip from the temp folder after download
- Added installer to the U3 version of JkDefragGUI
- Added scheduler to the U3 version of JkDefragGUI
- Added versioncheck for PageDefrag with Vista, version 2.32 and below has no Vista support
- Added update check for JkDefrag
- Added automaticly updating JkDefrag en JkDefragScreensaver when update is downloaded
- Added all the missing items to the scheduler (Include/Exclude/Spacehogs)
- Added selecting language for the first time based on OS language
- Added missing color icon in BartPe mode
- Added missing transparancy to changelog GUI
- Changed credit menu now smaller and scrolling
- Changed from RAR archive to ZIP archive
- Changed JK icon to new JkDefrag Icon
- Changed log file location in commandline
- Improved X64 Support
- Improved GUI Speed
- Increased the calendar size for Windows 2000
- Increased the calendar size for Bulgarian regional settings
- Fixed bug error message when no internet connection detected during download PageDefrag
- Fixed bug importing shutdown settings from old ini file
- Fixed bug uninstaller not in selected language due to moved languages to folder languages
- Fixed bug tray item transparancy state not set correct when closed through tray option 
- Fixed bug JkDefragGUI not showing sometime when internet explorer is active
- Made uninstaller unicode compatible
- No restart needed anymore when adding a tab
- Reduced memory usage
- Reduced CPU usage
- Removed JkDefrag from the JkDefragGUI.exe files downloaded automaticly
- Removed Sysinternals image from JkDefragGUI.exe due to copyright
- Removed background image from BartPe version
- Small cosmetic changes to scheduler checkboxes
- Supports only JkDefrag 3.17 and higher

JkDefragGUI 0.91 - 17 july 2007

- Corrected some typos in several languages
- Fixed bug error message when switching language on a Windows 2000 system
- Fixed bug running PageDefrag from folder with spaces
- Fixed bug saving "Select all fixed disks", disk selection not grayed out after restart
- Removed support for JkDefrag 3.15 and below
- Removed action 4, no longer supported by JkDefrag

JkDefragGUI 0.9 - 14 july 2007

- Made JKDefragGUI 100% Unicode compatible
- Added traditional chinese translation
- Added simplified chinese translation
- Added option to read the changelog in the GUI (English)
- Added shutdown after defrag option (Only GUI mode, not scheduler)
- Added disable default spacehogs option
- Added support for Sysinternals PageDefrag, downloaded automaticly when used
- Added selecting "Select all fixed disks" will disable single disk selection
- Added missing spanish text "Include"
- Added exit JkDefragGUI through tray item while defragging is active (Not with Shutdown Option)
- Added country flag icons to language menu and to the executable
- Added JkDefrag Colors to help section
- Added exclude,Include and SpaceHogs (Move to end of data) to hidden mode
- Added download indicator to tray when downloading new version
- Added check for Windows Classic Theme to remove background image
- Fixed bug check for updates not saved correct in configuration file
- Fixed bug JkDefrag GUI freezes when update found at startup
- Fixed bug transparency not working 100% when running from U3
- Moved external programs to folder programs
- Moved languages files to folder languages
- Moved images used by the GUI to folder images
- No need for restart anymore when changing language
- Small cosmetic changes

JkDefragGUI 0.81 - 06 july 2007

- Updated JkDefragGUI to version 3.16
- Fixed bug Include/Copy to Clipboard not correct
- Fixed bug Action 11 = Analyze and sort files by creation time (oldest first) missing

JkDefragGUI 0.8 - 17 June 2007

- Updated JkDefrag to version 3.15
- Added Catalan translation
- Added Japanese translation
- Added Brazilian Portuguese translation
- Added Slovenian translation
- Added Russian translation
- Added Greek/Hellenic translation
- Added close JkDefrag when done defragging (-q option)
- Added move files to end (-u option)
- Changed program to use only external language files
- Corrected a color mismatch in the menu
- Fixed bug saving the selected installer not saved correctly to config file
- Fixed bug unable to save action 7, move to end as default
- Fixed bug exclude option not correctly copied to clipboard 
- Fixed bug screensaver not replaced by newer version if older version exists
- Fixed bug task scheduler not working in Windows 2000
- Fixed bug selected language not made default when installing the GUI
- Fixed bug unable to start JkDefrag when running from U3
- Restarting the GUI made a bit faster when selecting another language
- Removed background image for Windows 2000 OS 
- Removed the uninstall function of the Windows installer from the GUI
- Improved transparancy to avoid colors in the GUI 
- Some other minor Windows 2000 improvements

JkDefragGUI  0.7 - 28 april 2007

- Updated JkDefrag to version 3.8
- Added support for 64Bits JkDefrag
- Added polish translation
- Added bulgarian translation
- Added external language file support
- Added contextmenu
- Added an error message when pressing F6 and no logfile exists
- Added ability to change the path off the logfile
- Added option to disable logfile
- Added option to save logfile in GUI path
- Added option to delete logfile on exit
- Added windows installer/uninstaller
- Added the option to choose an alternative screensaver for JkDefragScreenSaver installer
- Installing a newer version will create a backup of the old ini file
- Changed transparancyslider to automaticly set transparancy (setting not saved automaticly)
- Fixed a bug in the Defrag Exclude function 
- Removed fade-out on exit 
- Removed user language from JkDefragGUI.INI
- Fixed bug user defined language not displayed correct
- Some code cleanup
- Some GUI improvements
- Some Vista improvements

JkDefragGUI 0.6 - 22 march 2007

- Made pulldown menu ReadOnly
- Some major changes in the GUI 
- Removed balloontip from Show Scheduler
- Improved german translation
- Added more balloontips
- Added manual setting include files and folders
- Added Include and Exclude to SaveSetting
- Added option to save logfile to alternate location
- Made logfile GUI resizeable
- Added ScreenSaver installer
- Added hungarian translation
- Added swedish translation
- Added options to copy commandline to clipboard
- Added options to check for updates on every start of the GUI
- Fixed bug Selecting another language when run from folder with spaces Error
- Fixed bug PullDown Menu not compatible with Windows 2000

JkDefragGUI 0.5 - 6 March 2007

- Added Italian translation
- Added Romanian translation
- Added two more actions
- Added one more debuglevel
- Added free space option
- Added hidden mode from commandline (Not 100% Perfect due to JkDefrag Close option)
- Added JkDefrag version 3.7 (Version 3.6 and lower will not work with GUI 0.5)
- Added Startdate option to scheduler
- Added hide scheduled task and JkDefrag
- Added settings are applied to scheduler
- Added manual setting exclude files and folders
- Added hotkeys
- Added icons to GUI menu
- Added transperancy to help and credit GUI
- Removed edit function from logfile
- Fixed bug task scheduler not working when JkDefrag is placed in a folder with spaces"
- Fixed bug reading a large logfile, logfile GUI not showing anything
- Fixed bug scheduler not working when no password is specified

JkDefragGUI 0.41 - 26 februari 2007

- Fixed a bug JkDefrag not showing sometime
- Fixed a bug Scheduler not working when using an username with spaces

JkDefragGUI 0.4 - 24 Februari 2007

- Added USB, Floppy and Ramdisk support, drives are selectable
- Added taskscheduler (Will be disabled in U3 or BartPE mode)
- Added manual save settings (even Scheduler Time/Interval/Days)
- Added restore settings to default
- Added transparency to JkDefrag and JkDefrag GUI
- Added fade-out on exit
- Added portuguese translation
- Fixed bug in User defined language JKDS050 not set
- Fixed bug wrong version saved in inifile when ini file is created
- Fixed bug wrong action selected when selecting Analyze, defragment and fast optimization

JkDefragGUI 0.3 - 11 Februari 2007

- Embedded logfile into the program
- Added printing the logfile from within program
- Added BartPE/XPE compatibility to same Executable
- Added the possibility to run JkDefragGUI from a readonly enviroment
- Added selecting all harddisk to defrag
- Added automatic importing old ini file and writing a new one

JkDefragGUI 0.2 - 30 januari 2007

- Added four languages (Deutch/Español/Francais/Nederlands)
- Added possiblitly to add your own language (See created ini file in the same folder)
- Added update function
- Added file version and information to Executable
- Changed icon
- Created a separate Executable for BartPE/XPE
- Made JkDefragGUI 0.2 U3 Compliant

JkDefragGUI 0.1 - 16 januari 2007

- Initial Release
